Bug 504717 - Present Windows window switcher has unintuitive order
Present Windows window switcher has unintuitive order
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz-fusion-extras (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 19:56 EDT by Drew Douglas
Modified: 2009-12-04 07:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 07:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Drew Douglas 2009-06-08 19:56:52 EDT
Description of problem:
Using Alt-Tab switch with "Present Windows" plugin does not select previously focused window initially.

Version-Release number of selected component (if applicable):
unkonwn

How reproducible:
Always

Steps to Reproduce:
1.Enable Desktop Effects
2.Enable Present Windows plugin
3.In Present Windows configuration, enable "Use for window switching"
3.Use Alt-Tab to switch windows
  
Actual results:
One window is consistently positioned first when using alt-tab. The order in which windows are selected depends on where windows are layed out on the screen screen when using alt-tab, but sometimes windows are reordered based on size, and selection jumps around with successive alt-tabs.

Expected results:
The previous window used should be the first selected when alt-tab is pressed, as in other window switchers.

Additional info:
I use kde
Comment 1 Matěj Cepl 2009-11-05 13:31:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Chris Campbell 2009-12-02 09:37:57 EST
Drew, firstly, have you upgraded all of your components and/or the whole distribution to Fedora 12, and if so, is this but still reproducable?

Adel, if it is, just making sure you're aware of this issue/request.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Drew Douglas 2009-12-03 19:06:35 EST
Thanks, Chris and Adel. I have updated to Fedora 12. The bug is no longer reproducible.
Comment 4 Chris Campbell 2009-12-04 07:51:22 EST
Drew, thanks for the update and glad it is now working. I will set this bug to CLOSED NEXTRELEASE and if Adel wants to reopen it, he can.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.